@import '../../colors.scss';

.step-card {
    display: flex;
    flex-direction: column;
    flex: 1;
    height: 480px;
    min-width: calc(100vw - 60px);
    margin: 5px 10px;
    background-color: white;
    box-shadow: 0px 1px 5px #00000040;
    .media-container {
        position: relative;
        .main-image {
            display: block;
            width: 100%;
        }
        .media-expand {
            position: absolute;
            bottom: 10px;
            right: 10px;
            height: 30px;
            width: 30px;
            display: flex;
            align-items: center;
            justify-content: center;
            border-radius: 50%;
            background-color: #ffffff40;
            font-size: 1rem;
            color: $orange;
        }
    }
    .title {
        padding: 10px 20px 0;
        font-size: 2rem;
        font-weight: 400;
        flex: 1;
    }
    .content-container {
        overflow: hidden;
    }
    .author-container {
        display: flex;
        flex-direction: row;
        align-items: center;
        .author-avatar {
            display: block;
            height: 50px;
            width: 50px;
            padding: 10px;
            margin: 10px 0 10px 10px;
            border-radius: 50%;
            overflow: hidden;
        }
        .author-title {
            display: flex;
            flex-direction: column;
            margin: 20px 0 10px 0;
            .author-name {
                flex: 1;
                font-size: 1.6rem;
                font-weight: bold;
                display: flex;
                align-items: center;
                .certified {
                    padding-left: 5px;
                    font-size: 1.5rem;
                    color: #1da1f2;
                }
            }
            .author-details {
                font-size: 1.2rem;
            }
        }
        .action {
            font-size: 1.5rem;
            padding: 10px 8px;
            &:last-child {
                margin-right: 20px;
            }
        }
    }
}
